Consider changing the highlight color in the Find and Replace tool
Open, NormalPublic1 Story Points

Description

Ziko says that he's using VE's Search function looking for the first time a certain word is mentioned, so that he can add a link to it.
The green highlight color behind occurrences of the word makes it difficult to figure out whether the marked text is already linked or not, though. So can that color be changed to something different perhaps?

Elitre created this task.Jun 29 2016, 8:27 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 29 2016, 8:27 AM

It could, but experimenting it seems any colour reduces the contrast between links and non-links significantly (it isn't very high to begin with). It doesn't help that we have to draw the highlights on top of the text.

current:


hue rotations:






Blue actually has a quite high contrast - but could be confused with a normal selection.

Jdforrester-WMF triaged this task as Normal priority.Jun 30 2016, 12:03 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF closed this task as Resolved.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Thanks, Ed; I'm content that the current colour is sufficient.

So this is declined?

So this is declined?

The consideration was accepted and done; the decision is to stay as we are.

I don't actually object to a different shade of green, or even purple/pink, if that helps.

Esanders reopened this task as Open.Jun 30 2016, 12:45 PM

Blue actually has a quite high contrast - but could be confused with a normal selection.

I like this one. It's a totally different blue from selection highlight, I think? also, normal selection changes the color of the font.

Not really:

I guess that depends on browsers etc.

We don't override Firefox because it doesn't (yet) let use set the selection colour consistently:

Ziko added a subscriber: Ziko.Jul 1 2016, 2:07 PM

How about the following: underline a link when marked.

Links can be partially highlighted so that would require modifying the view which would lead to many more problems.

Ziko added a comment.Jul 1 2016, 2:13 PM

Ok, I see the problem. Thanks anyway for taking the effort.

Deskana renamed this task from Consider changing the highlight color in the Search tool to Consider changing the highlight color in the Find and Replace tool.Fri, Oct 13, 9:36 AM
Deskana moved this task from TR1: Releases to Backlog on the VisualEditor board.
Deskana removed Esanders as the assignee of this task.Mon, Oct 16, 1:06 PM